Subject: Re: 28.0.90; duplicate checks in erc--switch-to-buffer

From: Guy Gastineau <[email-masked]>
Date: Fri, 28 Jan 2022 23:29:31 -0500

Here it is.  I don't think my pgp key is on any keyserver, but I signed it
anyway.  Thank you for the encouragement.

On Fri, Jan 28, 2022 at 10:30 PM J.P. <[email-masked]> wrote:

> Guy Gastineau <[email-masked]> writes:
>
> > Sure. I will do it.
>
> Nice!
>
> > The emacs bug report buffer provided access to a help page. It
> > suggested I make a patch with `diff -u`. Is it preferable to provide a
> > patch as made with git?
>
> Definitely with git. The "Getting involved with development" section in
> CONTRIBUTE lays it out in full [1], but basically (after committing),
> you just run something like
>
>   git-format-patch -M origin/master -o /tmp
>
> and look for a file named /tmp/0001-foo.patch and attach that in a
> reply.
>
> [1] https://git.savannah.gnu.org/cgit/emacs.git/tree/CONTRIBUTE#n54
>